From ad1fd817b73e555bef91fb501f01d1217119e69e Mon Sep 17 00:00:00 2001
From: Mark O'Brien <mobrien@fedoraproject.org>
Date: Thu, 6 Aug 2020 11:05:49 +0000
Subject: [PATCH] create new AFR(Africa) proxy region

---
 check-domains               |  2 +-
 cloud.fedoraproject.org.cfg | 15 ++++++++++++---
 do-domains                  |  2 +-
 fedoraproject.org.cfg       | 15 ++++++++++++---
 getfedora.org.cfg           | 15 ++++++++++++---
 pagure.io.cfg               | 15 ++++++++++++---
 6 files changed, 50 insertions(+), 14 deletions(-)

diff --git a/check-domains b/check-domains
index 73cfe5585..7af70eae2 100755
--- a/check-domains
+++ b/check-domains
@@ -36,7 +36,7 @@ for zonefile in built/*; do
 done
 fi
 
-AREA="IAD2 NA EU APAC DEFAULT"
+AREA="IAD2 NA EU APAC AFR DEFAULT"
 template_zones="cloud.fedoraproject.org fedoraproject.org getfedora.org pagure.io"
 
 for zone in $template_zones; do
diff --git a/cloud.fedoraproject.org.cfg b/cloud.fedoraproject.org.cfg
index 87ecad433..ae15b6005 100644
--- a/cloud.fedoraproject.org.cfg
+++ b/cloud.fedoraproject.org.cfg
@@ -36,9 +36,10 @@ config_opts['def_proxy_ttl'] = '60'
 #	 IN	 A	 13.250.126.156  ; proxy30 (APAC/AWS)
 #	 IN	 A	 13.125.120.8    ; proxy31 (APAC/AWS)
 #	 IN	 A	 18.185.136.17   ; proxy32 (EU/AWS)
+#        IN      A       13.244.141.152  ; proxy33 (AFR/AWS)
 ipv4_proxy = {
     '38.145.60.20':{
-        'regions': ['DEFAULT', 'NA', 'EU', 'APAC'],
+        'regions': ['DEFAULT', 'NA', 'EU', 'APAC', 'AFR'],
         'names': ['proxy-iad01',
                   'proxy-iad01.fedoraproject.org',
                   'proxy01.iad2.fedoraproject.org']},
@@ -67,7 +68,7 @@ ipv4_proxy = {
         'names': ['proxy09',
                   'proxy09.fedoraproject.org']},
     '38.145.60.21':{
-        'regions': ['DEFAULT', 'NA', 'EU', 'APAC'],
+        'regions': ['DEFAULT', 'NA', 'EU', 'APAC', 'AFR'],
         'names': ['proxy-iad02',
                   'proxy-iad02.fedoraproject.org',
                   'proxy10.iad2.fedoraproject.org']},
@@ -84,7 +85,7 @@ ipv4_proxy = {
         'names': ['proxy13',
                   'proxy13.fedoraproject.org']},
     '8.43.85.67':{
-        'regions': ['DEFAULT','NA', 'EU', 'APAC'],
+        'regions': ['DEFAULT','NA', 'EU', 'APAC', 'AFR'],
         'names': ['proxy14',
                   'proxy14.fedoraproject.org']},
     '13.250.126.156':{
@@ -99,6 +100,10 @@ ipv4_proxy = {
         'regions': ['DEFAULT', 'EU'],
         'names': ['proxy32',
                   'proxy32.fedoraproject.org']},
+    '13.244.141.152':{
+        'regions': ['DEFAULT', 'AFR'],
+        'names': ['proxy33',
+                  'proxy33.fedoraproject.org']},
     '10.3.163.74':{
         'regions': ['IAD2'],
         'names': ['proxy01',
@@ -171,6 +176,10 @@ ipv6_proxy = {
      'regions': ['DEFAULT', 'APAC'],
      'names': ['proxy31',
                'proxy31.fedoraproject.org']},
+  '2406:da11:911:f402:6d98:b2a5:45c8:ee9e':{
+     'regions': ['DEFAULT', 'AFR'],
+     'names': ['proxy33',
+               'proxy33.fedoraproject.org']},
   }
 
 config_opts['ipv4_proxy'] = ipv4_proxy
diff --git a/do-domains b/do-domains
index cdd2b6d7f..4032398d0 100755
--- a/do-domains
+++ b/do-domains
@@ -6,7 +6,7 @@ region_zones="fedoraproject.org cloud.fedoraproject.org getfedora.org pagure.io"
 template_zones=""
 # signed zones are the zones we sign for dnssec
 signed_zones="168.192.in-addr.arpa phx2.fedoraproject.org 389tcp.org fedoracommunity.org fedoralinux.com fedoralinux.net fedoralinux.org fedorapeople.org fedoraproject.com fedoraproject.net fedoraproject.org.uk fedora.us k12linux.org nspluginwrapper.org port389.org projectofedora.org smolts.org vpn.fedoraproject.org fedora.com.my fedora.my fedoraproject.com.my fedoraproject.su fedoraproject.co.uk fedoramagazine.org _openpgpkey.fedoraproject.org fedorainfracloud.org aws.fedoraproject.org ci.fedoraproject.org fedorahosted.org"
-AREA="IAD2 NA EU APAC DEFAULT"
+AREA="IAD2 NA EU APAC AFR DEFAULT"
 
 
 checkzone() {
diff --git a/fedoraproject.org.cfg b/fedoraproject.org.cfg
index 9d39cd61a..f4dfc9904 100644
--- a/fedoraproject.org.cfg
+++ b/fedoraproject.org.cfg
@@ -36,9 +36,10 @@ config_opts['def_proxy_ttl'] = '60'
 #	 IN	 A	 13.250.126.156  ; proxy30 (APAC/AWS)
 #	 IN	 A	 13.125.120.8    ; proxy31 (APAC/AWS)
 #	 IN	 A	 18.185.136.17   ; proxy32 (EU/AWS)
+#        IN      A       13.244.141.152  ; proxy33 (AFR/AWS)
 ipv4_proxy = {
     '38.145.60.20':{
-        'regions': ['DEFAULT', 'NA', 'EU', 'APAC'],
+        'regions': ['DEFAULT', 'NA', 'EU', 'APAC', 'AFR'],
         'names': ['proxy-iad01',
                   'proxy-iad01.fedoraproject.org',
                   'proxy01.iad2.fedoraproject.org']},
@@ -67,7 +68,7 @@ ipv4_proxy = {
         'names': ['proxy09',
                   'proxy09.fedoraproject.org']},
     '38.145.60.21':{
-        'regions': ['DEFAULT', 'NA', 'EU', 'APAC'],
+        'regions': ['DEFAULT', 'NA', 'EU', 'APAC', 'AFR'],
         'names': ['proxy-iad02',
                   'proxy-iad02.fedoraproject.org',
                   'proxy10.iad2.fedoraproject.org']},
@@ -84,7 +85,7 @@ ipv4_proxy = {
         'names': ['proxy13',
                   'proxy13.fedoraproject.org']},
     '8.43.85.67':{
-        'regions': ['DEFAULT','NA', 'EU', 'APAC'],
+        'regions': ['DEFAULT','NA', 'EU', 'APAC', 'AFR'],
         'names': ['proxy14',
                   'proxy14.fedoraproject.org']},
     '13.250.126.156':{
@@ -99,6 +100,10 @@ ipv4_proxy = {
         'regions': ['DEFAULT', 'EU'],
         'names': ['proxy32',
                   'proxy32.fedoraproject.org']},
+    '13.244.141.152':{
+        'regions': ['DEFAULT', 'AFR'],
+        'names': ['proxy33',
+                  'proxy33.fedoraproject.org']},
     '10.3.163.74':{
         'regions': ['IAD2'],
         'names': ['proxy01',
@@ -171,6 +176,10 @@ ipv6_proxy = {
      'regions': ['DEFAULT', 'APAC'],
      'names': ['proxy31',
                'proxy31.fedoraproject.org']},
+  '2406:da11:911:f402:6d98:b2a5:45c8:ee9e':{
+     'regions': ['DEFAULT', 'AFR'],
+     'names': ['proxy33',
+               'proxy33.fedoraproject.org']},
   }
 
 config_opts['ipv4_proxy'] = ipv4_proxy
diff --git a/getfedora.org.cfg b/getfedora.org.cfg
index 64b124320..3c11cee99 100644
--- a/getfedora.org.cfg
+++ b/getfedora.org.cfg
@@ -33,9 +33,10 @@ config_opts['def_proxy_ttl'] = '60'
 #	 IN	 A	 13.250.126.156  ; proxy30 (APAC/AWS)
 #	 IN	 A	 13.125.120.8    ; proxy31 (APAC/AWS)
 #	 IN	 A	 18.185.136.17   ; proxy32 (EU/AWS)
+#        IN      A       13.244.141.152  ; proxy33 (AFR/AWS)
 ipv4_proxy = {
     '38.145.60.20':{
-        'regions': ['DEFAULT', 'NA', 'EU', 'APAC'],
+        'regions': ['DEFAULT', 'NA', 'EU', 'APAC', 'AFR'],
         'names': ['proxy-iad01',
                   'proxy-iad01.fedoraproject.org',
                   'proxy01.iad2.fedoraproject.org']},
@@ -64,7 +65,7 @@ ipv4_proxy = {
         'names': ['proxy09',
                   'proxy09.fedoraproject.org']},
     '38.145.60.21':{
-        'regions': ['DEFAULT', 'NA', 'EU', 'APAC'],
+        'regions': ['DEFAULT', 'NA', 'EU', 'APAC', 'AFR'],
         'names': ['proxy-iad02',
                   'proxy-iad02.fedoraproject.org',
                   'proxy10.iad2.fedoraproject.org']},
@@ -81,7 +82,7 @@ ipv4_proxy = {
         'names': ['proxy13',
                   'proxy13.fedoraproject.org']},
     '8.43.85.67':{
-        'regions': ['DEFAULT','NA', 'EU', 'APAC'],
+        'regions': ['DEFAULT','NA', 'EU', 'APAC', 'AFR'],
         'names': ['proxy14',
                   'proxy14.fedoraproject.org']},
     '13.250.126.156':{
@@ -96,6 +97,10 @@ ipv4_proxy = {
         'regions': ['DEFAULT', 'EU'],
         'names': ['proxy32',
                   'proxy32.fedoraproject.org']},
+    '13.244.141.152':{
+        'regions': ['DEFAULT', 'AFR'],
+        'names': ['proxy33',
+                  'proxy33.fedoraproject.org']},
     '10.3.163.74':{
         'regions': ['IAD2'],
         'names': ['proxy01',
@@ -168,6 +173,10 @@ ipv6_proxy = {
      'regions': ['DEFAULT', 'APAC'],
      'names': ['proxy31',
                'proxy31.fedoraproject.org']},
+  '2406:da11:911:f402:6d98:b2a5:45c8:ee9e':{
+     'regions': ['DEFAULT', 'AFR'],
+     'names': ['proxy33',
+               'proxy33.fedoraproject.org']},
   }
 
 config_opts['ipv4_proxy'] = ipv4_proxy
diff --git a/pagure.io.cfg b/pagure.io.cfg
index be0cabb38..1d64a3831 100644
--- a/pagure.io.cfg
+++ b/pagure.io.cfg
@@ -35,9 +35,10 @@ config_opts['def_proxy_ttl'] = '60'
 #	 IN	 A	 13.250.126.156  ; proxy30 (APAC/AWS)
 #	 IN	 A	 13.125.120.8    ; proxy31 (APAC/AWS)
 #	 IN	 A	 18.185.136.17   ; proxy32 (EU/AWS)
+#	 IN	 A	 13.244.141.152  ; proxy33 (AFR/AWS)
 ipv4_proxy = {
     '38.145.60.20':{
-        'regions': ['DEFAULT', 'NA', 'EU', 'APAC'],
+        'regions': ['DEFAULT', 'NA', 'EU', 'APAC', 'AFR'],
         'names': ['proxy-iad01',
                   'proxy-iad01.fedoraproject.org',
                   'proxy01.iad2.fedoraproject.org']},
@@ -66,7 +67,7 @@ ipv4_proxy = {
         'names': ['proxy09',
                   'proxy09.fedoraproject.org']},
     '38.145.60.21':{
-        'regions': ['DEFAULT', 'NA', 'EU', 'APAC'],
+        'regions': ['DEFAULT', 'NA', 'EU', 'APAC', 'AFR'],
         'names': ['proxy-iad02',
                   'proxy-iad02.fedoraproject.org',
                   'proxy10.iad2.fedoraproject.org']},
@@ -83,7 +84,7 @@ ipv4_proxy = {
         'names': ['proxy13',
                   'proxy13.fedoraproject.org']},
     '8.43.85.67':{
-        'regions': ['DEFAULT','NA', 'EU', 'APAC'],
+        'regions': ['DEFAULT','NA', 'EU', 'APAC', 'AFR'],
         'names': ['proxy14',
                   'proxy14.fedoraproject.org']},
     '13.250.126.156':{
@@ -98,6 +99,10 @@ ipv4_proxy = {
         'regions': ['DEFAULT', 'EU'],
         'names': ['proxy32',
                   'proxy32.fedoraproject.org']},
+    '13.244.141.152':{
+        'regions': ['DEFAULT', 'AFR'],
+        'names': ['proxy33',
+                  'proxy33.fedoraproject.org']},
     '10.3.163.74':{
         'regions': ['IAD2'],
         'names': ['proxy01',
@@ -170,6 +175,10 @@ ipv6_proxy = {
      'regions': ['DEFAULT', 'APAC'],
      'names': ['proxy31',
                'proxy31.fedoraproject.org']},
+  '2406:da11:911:f402:6d98:b2a5:45c8:ee9e':{
+     'regions': ['DEFAULT', 'AFR'],
+     'names': ['proxy33',
+               'proxy33.fedoraproject.org']},
   }
 
 config_opts['ipv4_proxy'] = ipv4_proxy
-- 
2.18.4

